%define		perlversion	5.10.0
%define		perlepoch	3
%define		perlname	Gimp

Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux.de>

Summary:	Perl extension for writing Gimp Extensions/Plug-ins/Load & Save-Handlers
Name:		perl-%{perlname}
Version:	2.2
Release:	2
License:	GNU/GPL 
URL:		http://search.cpan.org/search?module=Gimp
Group:		Development/Perl
Source0:	%{perlname}-%{version}pre1.tar.gz
Patch0:		perl-Gimp-2.0-DESTDIR.patch
BuildRoot:	%{_tmppath}/%{name}-buildroot

Requires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl = %{perlepoch}:%{perlversion}
BuildRequires:	perl-Gtk2
BuildRequires:	gimp-devel
BuildRequires:	perl-ExtUtils-Depends
BuildRequires:	pkg-config
BuildRequires:	perl-PDL
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:	perl-File-Slurp

%description
Perl extension for writing Gimp Extensions/Plug-ins/Load & Save-Handlers
For more details see: http://search.cpan.org/search?module=Gimp

%prep
%setup -q -n gimp-perl
%patch0 -p1

%build
perl Makefile.PL %_prefix
make OPTIMIZE="$CFLAGS"

%install
rm -Rf %{buildroot}
make install DESTDIR=%{buildroot}
# removing unwanted stuff
if [ -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod ]; then
	rm -f %{buildroot}%_libdir/perl5/%{perlversion}/*/perllocal.pod
fi
# Already included in gimp rpm!!!
rm -f %{buildroot}%_libdir/gimp/2.0/plug-ins/redeye
# stripping package
find %{buildroot} -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%_libdir
%_mandir
%_bindir

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jan 01 2008 Stefan Gottwald <gotti@ccux-linux.de> 2.2-2
- Rebuild against perl 5.10.0
* Sun May 13 2007 Stefan Gottwald <gotti@ccux-linux.de> 2.2-1
- Update to pre1 Version
* Wed May 17 2006 Christian Wasem <wasem@ccux-linux.de> 2.0-4
- rebuild against perl-5.8.8
* Mon Dec 12 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.0-3
- added DESTDIR patch
* Tue Dec 06 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.0-2
- Build SRPM
* Sun Jun 06 2004 Christian Wasem <wasem@ccux.de> 2.0-1
- Initial Release
